Debian Bug report logs - #399764
xxdiff: include non-FHS directory /usr/man/man1

version graph

Package: xxdiff; Maintainer for xxdiff is Y Giridhar Appaji Nag <appaji@debian.org>;

Reported by: Bill Allombert <ballombe@debian.org>

Date: Tue, 21 Nov 2006 21:18:02 UTC

Severity: serious

Tags: patch

Found in version xxdiff/1:3.2-0

Fixed in version xxdiff/1:3.2-0.1

Done: Ana Beatriz Guerrero Lopez <ana@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tomas Pospisek <tpo_deb@sourcepole.ch>:
Bug#399764; Package xxdiff. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <ballombe@debian.org>:
New Bug report received and forwarded. Copy sent to Tomas Pospisek <tpo_deb@sourcepole.ch>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bill Allombert <ballombe@debian.org>
To: submit@bugs.debian.org
Subject: xxdiff: include non-FHS directory /usr/man/man1
Date: Tue, 21 Nov 2006 21:45:12 +0100
Package: xxdiff
Version: 1:3.2-0
Severity: serious
Justification: FHS violation

Hello Tomas,

xxdiff includes the directory /usr/man/man1.

%dpkg-deb -c xxdiff_1%3a3.2-0_i386.deb |grep /usr/man
drwxr-xr-x root/root         0 2006-09-21 14:27:04 ./usr/man/
drwxr-xr-x root/root         0 2006-09-21 14:27:04 ./usr/man/man1/

This is in violation of FHS 2.3. Manpages should be
in /usr/share/man.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large blue swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, Tomas Pospisek <tpo_deb@sourcepole.ch>:
Bug#399764; Package xxdiff. Full text and rfc822 format available.

Acknowledgement sent to Andreas Henriksson <andreas@fatal.se>:
Extra info received and forwarded to list. Copy sent to Tomas Pospisek <tpo_deb@sourcepole.ch>. Full text and rfc822 format available.

Message #10 received at 399764@bugs.debian.org (full text, mbox):

From: Andreas Henriksson <andreas@fatal.se>
To: 399764@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Remove /usr/man/man1 from debian/xxdiff.dirs fixes this.
Date: Wed, 22 Nov 2006 18:43:11 +0100
[Message part 1 (text/plain, inline)]
tags 399764 + patch
thanks

Leftover in debian/xxdiff.dirs removed fixes this....

Trivial patch attached.

-- 
Regards,
Andreas Henriksson
[xxdiff-dirs.diff (text/plain, attachment)]

Tags added: patch Request was from Andreas Henriksson <andreas@fatal.se> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tomas Pospisek <tpo_deb@sourcepole.ch>:
Bug#399764; Package xxdiff. Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@ekaia.org>:
Extra info received and forwarded to list. Copy sent to Tomas Pospisek <tpo_deb@sourcepole.ch>. Full text and rfc822 format available.

Message #17 received at 399764@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@ekaia.org>
To: 399764@bugs.debian.org
Subject: fix to RC + python transition
Date: Tue, 28 Nov 2006 06:34:59 +0100
Hi,

Besides fix this RC bug, this package needs to be updated correctly
to the last python policy. I'm working in a NMU that covers this too.

Ana



Information forwarded to debian-bugs-dist@lists.debian.org, Tomas Pospisek <tpo_deb@sourcepole.ch>:
Bug#399764; Package xxdiff. Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Tomas Pospisek <tpo_deb@sourcepole.ch>. Full text and rfc822 format available.

Message #22 received at 399764@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 399764@bugs.debian.org
Subject: Re: fix to RC + python transition
Date: Sat, 2 Dec 2006 07:22:40 +0100
[Message part 1 (text/plain, inline)]
On Tue, Nov 28, 2006 at 06:34:59AM +0100, Ana Guerrero wrote:
> Hi,
> 
> Besides fix this RC bug, this package needs to be updated correctly
> to the last python policy. I'm working in a NMU that covers this too.
>

I sent this patch directly to the maintainer some days ago, i'm sending
it via the BTS again in case there was problems with the mail.
Tomas, if you do not have time to upload it, ping me and i'll NMU it.

Ana
[xxdiff-patch.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#399764; Package xxdiff. Full text and rfc822 format available.

Acknowledgement sent to Tomas Pospisek <tpo_deb@sourcepole.ch>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #27 received at 399764@bugs.debian.org (full text, mbox):

From: Tomas Pospisek <tpo_deb@sourcepole.ch>
To: Ana Guerrero <ana@debian.org>, 399764@bugs.debian.org
Subject: Re: Bug#399764: fix to RC + python transition
Date: Sat, 2 Dec 2006 12:13:56 +0100 (CET)
Hello Ana

On Sat, 2 Dec 2006, Ana Guerrero wrote:

> On Tue, Nov 28, 2006 at 06:34:59AM +0100, Ana Guerrero wrote:
>> Besides fix this RC bug, this package needs to be updated correctly
>> to the last python policy. I'm working in a NMU that covers this too.
>
> I sent this patch directly to the maintainer some days ago, i'm sending
> it via the BTS again in case there was problems with the mail.
> Tomas, if you do not have time to upload it, ping me and i'll NMU it.

I hope to upload this weekend. Anyway, if you feel like it, you are very 
wellcome to do an NMU.

Thanks a lot for the patch :-) !
*t

-- 
--------------------------------------------------------
  Tomas Pospisek
  http://sourcepole.com -  Linux & Open Source Solutions
--------------------------------------------------------



Reply sent to Ana Beatriz Guerrero Lopez <ana@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bill Allombert <ballombe@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 399764-close@bugs.debian.org (full text, mbox):

From: Ana Beatriz Guerrero Lopez <ana@debian.org>
To: 399764-close@bugs.debian.org
Subject: Bug#399764: fixed in xxdiff 1:3.2-0.1
Date: Sun, 03 Dec 2006 15:02:03 +0000
Source: xxdiff
Source-Version: 1:3.2-0.1

We believe that the bug you reported is fixed in the latest version of
xxdiff, which is due to be installed in the Debian FTP archive:

xxdiff-scripts_3.2-0.1_i386.deb
  to pool/main/x/xxdiff/xxdiff-scripts_3.2-0.1_i386.deb
xxdiff_3.2-0.1.diff.gz
  to pool/main/x/xxdiff/xxdiff_3.2-0.1.diff.gz
xxdiff_3.2-0.1.dsc
  to pool/main/x/xxdiff/xxdiff_3.2-0.1.dsc
xxdiff_3.2-0.1_i386.deb
  to pool/main/x/xxdiff/xxdiff_3.2-0.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 399764@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ana Beatriz Guerrero Lopez <ana@debian.org> (supplier of updated xxdiff package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 28 Nov 2006 06:06:06 +0100
Source: xxdiff
Binary: xxdiff-scripts xxdiff
Architecture: source i386
Version: 1:3.2-0.1
Distribution: unstable
Urgency: low
Maintainer: Tomas Pospisek <tpo_deb@sourcepole.ch>
Changed-By: Ana Beatriz Guerrero Lopez <ana@debian.org>
Description: 
 xxdiff     - a graphical file and directories comparison and merge tool
 xxdiff-scripts - helper scripts for xxdiff
Closes: 399764
Changes: 
 xxdiff (1:3.2-0.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Removed directory /usr/man. Patch by Andreas Henriksson.
     (Closes: #399764).
   * Python Policy: using dh_pysupport instead of dh_python.
     Added Build-Depends on python-support.
   * Updated Standars-versions to 3.7.2, no changes required.
   * Updated FSF address in copyright file.
Files: 
 70efd597213aec0e23d726c587ea85d7 684 text optional xxdiff_3.2-0.1.dsc
 fc4fde9c9d399ad70c92937204f0d02e 1391311 text optional xxdiff_3.2.orig.tar.gz
 2262c688cd826ac4a5ea1d2861170785 13683 text optional xxdiff_3.2-0.1.diff.gz
 bc31a2c933038ebf399ede67360b176f 416942 text optional xxdiff_3.2-0.1_i386.deb
 0d294e432e4eaf4a1a0b1b3351ce25fd 135418 text optional xxdiff-scripts_3.2-0.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)
Comment: Signed by Ana Guerrero

iD8DBQFFcuUMn3j4POjENGERAojWAJ9uja7UnrNiUnzTp1KiRfGnsWymZwCfaKsN
28+vu+9DUf8gnJbmOCFgI5M=
=za13
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 06:04:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:17:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.